<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class PageTitleMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle($request, Closure $next)
    {
        if ($request->is('dashboard')) {
            view()->share('pageTitle', 'Dashboard');
        } elseif ($request->is('category')) {
            view()->share('pageTitle', 'Categories');
        } elseif ($request->is('sub-category')) {
            view()->share('pageTitle', 'Sub Categories');
        } else {
            view()->share('pageTitle', 'Default Title');
        }
        return $next($request);
    }
}
