@include('layouts.sidebar')

<div class="section-body">
    <div class="container-fluid mt-4">
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="tab-content">
                    <div class="tab-pane active show" id="Company_Settings">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">Sub Categories Management</h3>
                                <div class="card-options">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fa fa-chevron-up"></i></a>
                                    <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i class="fa fa-maximize"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <form action="{{ route('subcategory.store') }}" method="POST" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <label>Select Parent Category <span class="text-danger">*</span></label>
                                                <select class="form-control" name="parent_category_id">
                                                    <option value="">Select Parent Category</option>
                                                    @foreach($categories as $category)
                                                        <option value="{{ $category->id }}">{{ $category->category_name }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <label>Sub Category Name<span class="text-danger">*</span></label>
                                                <input class="form-control" name="subcategory_name" type="text" value="">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <label>Sub Category Image</label>
                                                <input class="form-control" name="subcategory_image" value="Louis Pierce" type="file">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12 text-right m-t-20">
                                            <button type="submit" class="btn btn-primary">SAVE</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="section-body">
    <div class="container-fluid mt-4">
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Existing Sub Categories</h3>
                        <div class="card-options">
                            <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fa fa-chevron-up"></i></a>
                            <a href="#" class="card-options-fullscreen" data-toggle="card-fullscreen"><i class="fa fa-maximize"></i></a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped table-hover">
                                <thead>
                                    <tr>
                                        <th>Parent Category</th>
                                        <th>Sub Category Name</th>
                                        <th>Sub Category Image</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($subcategories as $subcategory)
                                    <tr>
                                        <td>{{ $subcategory->category->category_name }}</td>
                                        <td>{{ $subcategory->subcategory_name }}</td>
                                        <td>
                                            @if($subcategory->subcategory_image)
                                            <img src="{{ asset('storage/' . $subcategory->subcategory_image) }}" alt="SubCategory Image" style="max-width: 100px;">
                                            @else
                                                No Image
                                            @endif
                                        </td>                                                                               
                                        <td>
                                            <form action="{{ route('subcategory.delete', $subcategory->id) }}" method="POST" style="display: inline;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Delete</button>
                                            </form>                                            
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>                        
            </div>
        </div>
    </div>
</div>

@include('layouts.scripts')

 