<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AuthController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Middleware\PageTitleMiddleware;

Route::get('/', function () {
    return view('welcome');
});

Route::get('/login', [AuthController::class, 'login']);
Route::post('/login', [AuthController::class, 'checklogin'])->name('checklogin');
Route::get('/logout', [AuthController::class, 'logout'])->name('logout');

Route::middleware(['auth:admin'])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->middleware(PageTitleMiddleware::class)->name('dashboard');
});


//Category Management
Route::get('category' , [CategoryController::class , 'category'])->middleware(PageTitleMiddleware::class)->name('category');
Route::post('post-category' , [CategoryController::class , 'storeCategory'])->name('category.store');
Route::delete('delete-category' , [CategoryController::class , 'deleteCategory'])->name('category.delete');

//Sub Categories Management
Route::get('sub-category' , [CategoryController::class , 'subcategory'])->middleware(PageTitleMiddleware::class)->name('subcategory');
Route::post('post-subcategory' , [CategoryController::class , 'storeSubcategory'])->name('subcategory.store');
Route::delete('delete-subcategory/{id}', [CategoryController::class, 'deletesubCategory'])->name('subcategory.delete');
